Subject: Re: [PATCH v2b 00/16, 2 updates] Make the msvc-build scripts work again

From: Ramsay Jones <[email-masked]>
Date: Wed, 22 Jul 2015 23:57:35 +0100

On 21/07/15 20:25, Junio C Hamano wrote:
> "Philip Oakley" <[email-masked]> writes:
> 
>> ... Ideally, if part of this
>> mainstream Git, it would get picked up automatically by them
>> (rather than being local 'fixes' endlessly carried forward).
> 
> Actually, that is not "ideal", but what I want to avoid.
> 
> As I do not do Windows, it simply is wrong for me to apply changes
> that are very likely to affect Windows folks without seeing their
> support first, which they may end up having to revert on their end
> and endlessly carry that revert forward.  That is why I very much
> prefer to see changes get there first and then forwarded in my
> direction once they are happy with them.
> 
>> There has been no activity here on the 'create a visual studio project'
>> aspects in the last few years. Any changes listed in the logs relate to
>> ensuring that the MSVC compiler will run as part of a regular Makefile
>> run (IIUC). The last significant commit was 74cf9bd (engine.pl: Fix a
>> recent breakage of the buildsystem generator, 2010-01-22) Ramsay Jones,
>> so that's five and a half years.
> 
> I think Ramsay is still around on the list; I do not know if he
> still does Windows, though.

[Sorry for not noticing this sooner, but I'm currently moving home
(among other things) and, as a result, I have not been able to
devote much time to the list ... (or anything else ;-) ]

I don't do much with MinGW or MSVC these days (I do still try to
keep cygwin running - it's currently not in good shape). My MSVC
installation is somewhat old (2008 I believe) and confined to my
old 32-bit laptop (which doesn't get booted up too often now).

I had a quick squint at the patches and, at first glance, they
looked quite reasonable to me, but I have not tested them. I can't
promise to test them anytime soon (and my MSVC may be too old for
these patches?). Sorry! :(

[If I find some time soon, I will give them a try and let you know.]

ATB,
Ramsay Jones